/**
 *
 */
package org.gcube.common.workspacetaskexecutor.util;

import java.util.Arrays;

import org.gcube.common.workspacetaskexecutor.shared.dataminer.TaskComputation;
import org.gcube.data.analysis.dataminermanagercl.shared.data.computations.ComputationId;


/**
 * The Class Converter.
 *
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * May 3, 2018
 */
public class Converter {


	/**
	 * To dm computation id.
	 *
	 * @param computationId the computation id
	 * @return the DM computation id
	 */
	public static TaskComputation toDMComputationId(ComputationId computationId){
		if(computationId==null)
			return null;

		return new TaskComputation(computationId.getId(), computationId.getUrlId(), computationId.getOperatorId(), computationId.getOperatorName(), computationId.getEquivalentRequest());

	}


	/**
	 * To computation id.
	 *
	 * @param computationId the computation id
	 * @return the computation id
	 */
	public static ComputationId toComputationId(TaskComputation computationId){

		if(computationId==null)
			return null;

		return new ComputationId(computationId.getId(), computationId.getUrlId(), computationId.getOperatorId(), computationId.getOperatorName(), computationId.getEquivalentRequest());

	}


	/**
	 * Convert enum names to arra string.
	 *
	 * @param e the e
	 * @return the string[]
	 */
	public static String[] convertEnumNamesToArraString(Class<? extends Enum<?>> e){
		return Arrays.stream(e.getEnumConstants()).map(Enum::name).toArray(String[]::new);
	}
}
